CVE Vulnerabilities

CVE-2019-1010319

Use of Uninitialized Resource

Published: Jul 11, 2019 | Modified: Nov 07, 2023
CVSS 3.x
5.5
MEDIUM
Source:
NVD
CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:N/I:N/A:P
RedHat/V2
RedHat/V3
2.5 LOW
CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:L
Ubuntu
MEDIUM

WavPack 5.1.0 and earlier is affected by: CWE-457: Use of Uninitialized Variable. The impact is: Unexpected control flow, crashes, and segfaults. The component is: ParseWave64HeaderConfig (wave64.c:211). The attack vector is: Maliciously crafted .wav file. The fixed version is: After commit https://github.com/dbry/WavPack/commit/33a0025d1d63ccd05d9dbaa6923d52b1446a62fe.

Weakness

The product uses or accesses a resource that has not been initialized.

Affected Software

Name Vendor Start Version End Version
Wavpack Wavpack * 5.1.0 (including)
Red Hat Enterprise Linux 8 RedHat wavpack-0:5.1.0-15.el8 *
Wavpack Ubuntu bionic *
Wavpack Ubuntu cosmic *
Wavpack Ubuntu disco *
Wavpack Ubuntu esm-infra/bionic *
Wavpack Ubuntu trusty *
Wavpack Ubuntu upstream *

Potential Mitigations

References